Package org.gradle.plugins.ide.idea.model

## Class FilePath

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.Path
  - - org.gradle.plugins.ide.idea.model.FilePath

-     public class FilePath
      extends Path

  A Path that keeps the reference to the File

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilePath​(java.io.File file, java.lang.String url, java.lang.String canonicalUrl, java.lang.String relPath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile()` |

    - ### Methods inherited from class org.gradle.plugins.ide.idea.model.Path

      `equals, getCanonicalUrl, getRelPath, getUrl, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilePath

          public FilePath​(java.io.File file,
                          java.lang.String url,
                          java.lang.String canonicalUrl,
                          java.lang.String relPath)

  - ### Method Detail

    - #### getFile

          public java.io.File getFile()